Package org.drinkless.tdlib

# Class TdApi.MessagePremiumGiveaway

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.MessageContent
org.drinkless.tdlib.TdApi.MessagePremiumGiveaway

Enclosing class:
  TdApi

public static class TdApi.MessagePremiumGiveaway extends TdApi.MessageContent
A Telegram Premium giveaway.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.MessageContent

  `TdApi.MessageContent.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `monthCount`
  Number of months the Telegram Premium subscription will be active after code activation.
  `TdApi.PremiumGiveawayParameters`
  `parameters`
  Giveaway parameters.
  `TdApi.Sticker`
  `sticker`
  A sticker to be shown in the message; may be null if unknown.
  `int`
  `winnerCount`
  Number of users which will receive Telegram Premium subscription gift codes.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MessagePremiumGiveaway()`
  A Telegram Premium giveaway.
  `MessagePremiumGiveaway(TdApi.PremiumGiveawayParameters parameters, int winnerCount, int monthCount, TdApi.Sticker sticker)`
  A Telegram Premium giveaway.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### parameters

    public TdApi.PremiumGiveawayParameters parameters
    Giveaway parameters.

  - ### winnerCount

    public int winnerCount
    Number of users which will receive Telegram Premium subscription gift codes.

  - ### monthCount

    public int monthCount
    Number of months the Telegram Premium subscription will be active after code activation.

  - ### sticker

    @Nullable public TdApi.Sticker sticker
    A sticker to be shown in the message; may be null if unknown.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### MessagePremiumGiveaway

    public MessagePremiumGiveaway()
    A Telegram Premium giveaway.

  - ### MessagePremiumGiveaway

    public MessagePremiumGiveaway(TdApi.PremiumGiveawayParameters parameters, int winnerCount, int monthCount, TdApi.Sticker sticker)
    A Telegram Premium giveaway.
    Parameters:
      `parameters` - Giveaway parameters.
      `winnerCount` - Number of users which will receive Telegram Premium subscription gift codes.
      `monthCount` - Number of months the Telegram Premium subscription will be active after code activation.
      `sticker` - A sticker to be shown in the message; may be null if unknown.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.MessageContent`
    Returns:
      this.CONSTRUCTOR